pcl::_PointXYZI Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, and the intensity value. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZI:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float intensity
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, and the intensity value.

Definition at line 495 of file point_types.hpp.

## Member Data Documentation

##

union { ... }

## data_c

float pcl::_PointXYZI::data_c[4]

Definition at line 504 of file point_types.hpp.

## intensity

float pcl::_PointXYZI::intensity

Definition at line 502 of file point_types.hpp.

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::convertToTsdfCloud(), pcl::Edge< ImageType, ImageType >::detectEdgeCanny(), pcl::PointXYZI::PointXYZI(), pcl::PointXYZRGBtoXYZI(), and pcl::TextureMapping< PointInT >::showOcclusions().

## PCL_ADD_POINT4D

pcl::_PointXYZI::PCL_ADD_POINT4D

Definition at line 497 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp